package org.bench4q.share.models.master.plugin;

import java.util.Set;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class SelectModel extends ParamTypeModel {
	private Set<String> options;
	private int size;
	@XmlElementWrapper(name = "options")
	@XmlElement(name = "option")
	public Set<String> getOptions() {
		return options;
	}

	public void setOptions(Set<String> options) {
		this.options = options;
	}

	@XmlElement
	public int getSize() {
		return size;
	}

	public void setSize(int size) {
		this.size = size;
	}

}
